PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Power Status
PDL API Reference » SysPm (System Power Management) » Functions

## General Description

## Functions
uint32_t | Cy_SysPm_ReadStatus (void)
| Reads the power modes status of the system and CPU(s). More...
bool | Cy_SysPm_IsSystemUlp (void)
| Checks if the system is in ULP mode. More...
bool | Cy_SysPm_IsSystemLp (void)
| Checks if the system is in LP mode. More...
bool | Cy_SysPm_IsSystemHp (void)
| Checks if the system is in HP mode. More...
__STATIC_INLINE bool | Cy_SysPm_Cm33IsActive (void)
| Checks if CM33 is in the active mode. More...
__STATIC_INLINE bool | Cy_SysPm_Cm33IsSleep (void)
| Checks if the CM33 is in the sleep mode. More...
__STATIC_INLINE bool | Cy_SysPm_Cm33IsDeepSleep (void)
| Checks if the CM33 is in the deep sleep mode. More...
__STATIC_INLINE bool | Cy_SysPm_Cm55IsActive (void)
| Checks if CM55 is in the active mode. More...
__STATIC_INLINE bool | Cy_SysPm_Cm55IsSleep (void)
| Checks if the CM55 is in the sleep mode. More...
__STATIC_INLINE bool | Cy_SysPm_Cm55IsDeepSleep (void)
| Checks if the CM55 is in the deep sleep mode. More...

## Function Documentation

## ◆ Cy_SysPm_ReadStatus()

uint32_t Cy_SysPm_ReadStatus | ( | void |  | ) |

Reads the power modes status of the system and CPU(s).

Returns
  The current power mode. See The Power Mode Status Defines.

Function Usage
  /* Scenario: There is a need to check the system current power mode and CPU
  * power mode
  */
  if(CY_SYSPM_STATUS_SYSTEM_ULP == (CY_SYSPM_STATUS_SYSTEM_ULP & Cy_SysPm_ReadStatus()))
  {
  /* The system is currently in ULP mode */
  }
  Cy_SysPm_ReadStatus
  uint32_t Cy_SysPm_ReadStatus(void)
  Reads the power modes status of the system and CPU(s).
  Definition: cy_syspm_v4.c:3530
  CY_SYSPM_STATUS_SYSTEM_ULP
  #define CY_SYSPM_STATUS_SYSTEM_ULP
  The system is in Ultra Low Power mode.
  Definition: cy_syspm.h:1302

## ◆ Cy_SysPm_IsSystemUlp()

bool Cy_SysPm_IsSystemUlp | ( | void |  | ) |

Checks if the system is in ULP mode.

Returns
  - True the system is in ULP mode.
  - False the system is is not ULP mode.

Function Usage
  /* Scenario: There is a need to check if the system is in Ultra Low Power
  * mode
  */
  if (Cy_SysPm_IsSystemUlp())
  {
  /* The system is in ULP */
  }
  Cy_SysPm_IsSystemUlp
  bool Cy_SysPm_IsSystemUlp(void)
  Checks if the system is in ULP mode.
  Definition: cy_syspm_v4.c:2594

## ◆ Cy_SysPm_IsSystemLp()

bool Cy_SysPm_IsSystemLp | ( | void |  | ) |

Checks if the system is in LP mode.

Returns
  - True the system is in LP mode.
  - False the system is not in LP mode.

Function Usage
  /* Scenario: There is a need to check if the system is in Low Power
  * mode
  */
  if (Cy_SysPm_IsSystemLp())
  {
  /* The system is in LP mode */
  }
  Cy_SysPm_IsSystemLp
  bool Cy_SysPm_IsSystemLp(void)
  Checks if the system is in LP mode.
  Definition: cy_syspm_v4.c:2589

## ◆ Cy_SysPm_IsSystemHp()

bool Cy_SysPm_IsSystemHp | ( | void |  | ) |

Checks if the system is in HP mode.

Returns
  - True the system is in HP mode.
  - False the system is not in HP mode.

Function Usage
  /* Scenario: There is a need to check if the system is in Low Power
  * mode
  */
  #if defined (CY_IP_MXS22SRSS)
  if (Cy_SysPm_IsSystemHp())
  {
  /* The system is in MF mode */
  }
  Cy_SysPm_IsSystemHp
  bool Cy_SysPm_IsSystemHp(void)
  Checks if the system is in HP mode.
  Definition: cy_syspm_v4.c:2599

## ◆ Cy_SysPm_Cm33IsActive()

__STATIC_INLINE bool Cy_SysPm_Cm33IsActive | ( | void |  | ) |

Checks if CM33 is in the active mode.

Returns
  true - if CM33 is in the active mode, false - if the CM33 is not in active mode.

## ◆ Cy_SysPm_Cm33IsSleep()

__STATIC_INLINE bool Cy_SysPm_Cm33IsSleep | ( | void |  | ) |

Checks if the CM33 is in the sleep mode.

Returns
  true - if the CM33 is in the sleep mode, false - if the CM33 is not in the sleep mode.

## ◆ Cy_SysPm_Cm33IsDeepSleep()

__STATIC_INLINE bool Cy_SysPm_Cm33IsDeepSleep | ( | void |  | ) |

Checks if the CM33 is in the deep sleep mode.

Returns
  true - if CM33 is in the deep sleep mode, false - if the CM33 is not in the deep sleep mode.

## ◆ Cy_SysPm_Cm55IsActive()

__STATIC_INLINE bool Cy_SysPm_Cm55IsActive | ( | void |  | ) |

Checks if CM55 is in the active mode.

Returns
  true - if CM55 is in the active mode, false - if the CM55 is not in active mode.

## ◆ Cy_SysPm_Cm55IsSleep()

__STATIC_INLINE bool Cy_SysPm_Cm55IsSleep | ( | void |  | ) |

Checks if the CM55 is in the sleep mode.

Returns
  true - if the CM55 is in the sleep mode, false - if the CM55 is not in the sleep mode.

## ◆ Cy_SysPm_Cm55IsDeepSleep()

__STATIC_INLINE bool Cy_SysPm_Cm55IsDeepSleep | ( | void |  | ) |

Checks if the CM55 is in the deep sleep mode.

Returns
  true - if CM55 is in the deep sleep mode, false - if the CM55 is not in the deep sleep mode.